aboutsummaryrefslogtreecommitdiff
path: root/net-mgmt/nfsen-devel/files/nfsen.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'net-mgmt/nfsen-devel/files/nfsen.sh.in')
-rw-r--r--net-mgmt/nfsen-devel/files/nfsen.sh.in86
1 files changed, 86 insertions, 0 deletions
diff --git a/net-mgmt/nfsen-devel/files/nfsen.sh.in b/net-mgmt/nfsen-devel/files/nfsen.sh.in
new file mode 100644
index 000000000000..83ecfc335215
--- /dev/null
+++ b/net-mgmt/nfsen-devel/files/nfsen.sh.in
@@ -0,0 +1,86 @@
+#! /bin/sh
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=%%PREFIX%%/bin/nfsen.rc
+NAME=nfsen
+
+test -x $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $NAME"
+ $DAEMON start
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $NAME "
+ $DAEMON stop
+ echo "."
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $NAME"
+ $DAEMON stop
+ sleep 1
+ $DAEMON start
+ echo "."
+ ;;
+ *)
+ N=/tmp/nfsen-1.2.4.20060325/etc/rc.d/${NAME}.sh
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
+#! /bin/sh
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/local/bin/nfsen.rc
+NAME=nfsen
+
+test -x $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $NAME"
+ $DAEMON start
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $NAME "
+ $DAEMON stop
+ echo "."
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $NAME"
+ $DAEMON stop
+ sleep 1
+ $DAEMON start
+ echo "."
+ ;;
+ *)
+ N=/tmp/nfsen-1.2.4.20060325/etc/rc.d/${NAME}.sh
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0